<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>M-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="index: M">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="../fr/ici/buildingActivity/bnb/GetBNBData.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class fr.ici.buildingActivity.bnb.<a href="../fr/ici/buildingActivity/bnb/GetBNBData.html" title="class in fr.ici.buildingActivity.bnb">GetBNBData</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/getBDTopo.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/getBDTopo.html" title="class in fr.ici.buildingActivity.building">getBDTopo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneImport.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneImport.html" title="class in fr.ici.buildingActivity.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchoolsUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIImport.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIImport.html" title="class in fr.ici.buildingActivity.poi">POIImport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POISortingNew.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POISortingNew.html" title="class in fr.ici.buildingActivity.poi">POISortingNew</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/UseCase.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/UseCase.html" title="class in fr.ici.buildingActivity.poi">UseCase</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/CompareHousingInferenceBetweenBDTopo2Or3.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/CompareHousingInferenceBetweenBDTopo2Or3.html" title="class in fr.ici.buildingActivity.util">CompareHousingInferenceBetweenBDTopo2Or3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#makeAddressName(org.opengis.feature.simple.SimpleFeature,fr.ici.buildingActivity.util.property.AddressRef)" class="member-name-link">makeAddressName(SimpleFeature, AddressRef)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html#makeAnagram(java.lang.String)" class="member-name-link">makeAnagram(String)</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html#makeCommonNomenclature(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)" class="member-name-link">makeCommonNomenclature(File, File, File, File, File)</a> - Method in class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html" class="type-name-link" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a> - Class in <a href="../fr/ici/buildingActivity/util/package-summary.html">fr.ici.buildingActivity.util</a></dt>
<dd>
<div class="block">Methods used to unify different nomenclatures from the four POI sources and nomenclatures</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html#%3Cinit%3E(java.io.File)" class="member-name-link">MakeCommonNomenclature(File)</a> - Constructor for class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html#%3Cinit%3E(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)" class="member-name-link">MakeCommonNomenclature(File, File, File, File, File)</a> - Constructor for class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonPOIinBuilding.html" class="type-name-link" title="class in fr.ici.buildingActivity.util">MakeCommonPOIinBuilding</a> - Class in <a href="../fr/ici/buildingActivity/util/package-summary.html">fr.ici.buildingActivity.util</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonPOIinBuilding.html#%3Cinit%3E()" class="member-name-link">MakeCommonPOIinBuilding()</a> - Constructor for class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/MakeCommonPOIinBuilding.html" title="class in fr.ici.buildingActivity.util">MakeCommonPOIinBuilding</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#makeHousingPrincipalhoodProbabilities()" class="member-name-link">makeHousingPrincipalhoodProbabilities()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#makeHousingSizeProbabilities()" class="member-name-link">makeHousingSizeProbabilities()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>
<div class="block">Create probability of housing classes for the input IRIS.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#makeLinkBetweenBAN(org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">makeLinkBetweenBAN(SimpleFeatureCollection)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#makeSorting()" class="member-name-link">makeSorting()</a> - Method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>
<div class="block">Sort point regarding nomenclature.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OSMUtil.html#makeTabWithAttributesAndValues(java.io.File,java.io.File)" class="member-name-link">makeTabWithAttributesAndValues(File, File)</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OSMUtil.html" title="class in fr.ici.buildingActivity.osm">OSMUtil</a></dt>
<dd>
<div class="block">Create a table summing up the geojson file coming from OSM with heterogenous attributes and values for those attributes.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OSMUtil.html#makeTabWithUnknownTypes(java.io.File)" class="member-name-link">makeTabWithUnknownTypes(File)</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OSMUtil.html" title="class in fr.ici.buildingActivity.osm">OSMUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html#matchUnivStatWithUnivPoints(java.util.List,java.util.List,java.io.File,java.util.List)" class="member-name-link">matchUnivStatWithUnivPoints(List&lt;POI&gt;, List&lt;? extends LocalPOI&gt;, File, List&lt;? extends Building&gt;)</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a></dt>
<dd>
<div class="block">Enrich the superior education with student number information.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#maxAffluenceIndicator(org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">maxAffluenceIndicator(SimpleFeatureCollection)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>
<div class="block">Get the maximum of the importance of the POI.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#mergeBuildingGroups(java.util.List)" class="member-name-link">mergeBuildingGroups(List&lt;BuildingGroup&gt;)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIMerging.html#mergePOI(java.util.List)" class="member-name-link">mergePOI(List&lt;POI&gt;)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIMerging.html" title="class in fr.ici.buildingActivity.poi">POIMerging</a></dt>
<dd>
<div class="block">Merge POI that are previously matched.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIImport.html#mergePOISources(java.io.File,java.lang.String,java.util.List,java.time.LocalDate)" class="member-name-link">mergePOISources(File, String, List&lt;? extends Building&gt;, LocalDate)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIImport.html" title="class in fr.ici.buildingActivity.poi">POIImport</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
